Skip to main content
GET
/
v1
/
crypto-gateway
/
payments
curl 'https://crypto-api.yativo.com/api/v1/crypto-gateway/payments' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "data": {
    "payments": [
      {
        "payment_id": "pay_a1b2c3d4e5f6",
        "title": "Invoice #1234",
        "requested_amount": 49.99,
        "status": "paid",
        "accepted_options": [
          { "asset_code": "USDC_SOL", "network": "solana",  "deposit_address": "7xKXtg..." },
          { "asset_code": "USDT_POL", "network": "polygon", "deposit_address": "0xAbCd..." }
        ],
        "asset_code": "USDC_SOL",
        "network": "solana",
        "settled_amount": 49.99,
        "external_reference": "order_abc123",
        "created_at": "2026-04-18T12:00:00Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yativo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
curl 'https://crypto-api.yativo.com/api/v1/crypto-gateway/payments' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "data": {
    "payments": [
      {
        "payment_id": "pay_a1b2c3d4e5f6",
        "title": "Invoice #1234",
        "requested_amount": 49.99,
        "status": "paid",
        "accepted_options": [
          { "asset_code": "USDC_SOL", "network": "solana",  "deposit_address": "7xKXtg..." },
          { "asset_code": "USDT_POL", "network": "polygon", "deposit_address": "0xAbCd..." }
        ],
        "asset_code": "USDC_SOL",
        "network": "solana",
        "settled_amount": 49.99,
        "external_reference": "order_abc123",
        "created_at": "2026-04-18T12:00:00Z"
      }
    ]
  }
}